<?php
/**
 * @package  Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;

jimport('joomla.application.component.controllerform');

class CatalogControllerSubmissions extends JControllerForm {
    public function spamTask () {
   
        $model = $this->getModel();
        $cid = JRequest::getVar( 'cid' , array() , '' , 'array' );
        $getMessageId = JRequest::getVar( 'message_id' );
        if(!empty($cid)) {
            $item=$model->updateAsSpam($cid);
        } else {
            $item=$model->updateAsSpamById($getMessageId);
        }
        
        
        $this->setRedirect(JRoute::_('index.php?option=com_catalog&view=submissions', false),"Saved");
    }
    
    
    public function  removeSpam() {
        $cid = JRequest::getVar( 'cid' , array() , '' , 'array' );  
        $getMessageId = JRequest::getVar( 'message_id' );
        $model = $this->getModel();
        if(!empty($cid)) {
            $item=$model->updateAsNoneSpam($cid);
        } else {
            $item=$model->updateAsNoneSpamById($getMessageId);
        }
        $this->setRedirect(JRoute::_('index.php?option=com_catalog&view=submissions', false),"Saved");
    }
    
      public function  deletesubmision() {
        $cid = JRequest::getVar( 'cid' , array() , '' , 'array' );  
        $getMessageId = JRequest::getVar( 'message_id' );
        $model = $this->getModel();
        //$item=$model->deleteSubmission($cid);
        if(!empty($cid)) {
            $item=$model->deleteSubmission($cid);
        } else {
            $item=$model->deleteSubmissionById($getMessageId);
        }
        $this->setRedirect(JRoute::_('index.php?option=com_catalog&view=submissions', false),"Saved");
    }
    
    public function cancel($key = null) {
      $this->setRedirect(JRoute::_('index.php?option=com_catalog', false));
    }
  
}
