<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;
jimport('joomla.application.component.modeladmin');
jimport('joomla.application.component.helper');

class CatalogModelComment extends JModelAdmin {

    public function getTable($type = 'Comment', $prefix = 'CatalogTable', $config = array()) {
        return JTable::getInstance($type, $prefix, $config);
    }
    public function getForm($data = array(), $loadData = true) {
        $form = $this->loadForm(
                $this->option . '.comment', 'comment', array('control' => 'jform', 'load_data' => $loadData)
        );
        if (empty($form)) {
            return false;
        }
        return $form;
    }
    protected function loadFormData() {
        $data = JFactory::getApplication()->getUserState($this->option . '.editcomment.data', array());
        if (empty($data)) {
            $data = $this->getItem();
        }
        return $data;
    }
    public function getCatalog() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__huge_it_catalog_reviews');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    
    public function getPropertie() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*,#__huge_it_catalog_reviews.id as comId, #__huge_it_catalog_reviews.name as author_name, #__huge_it_catalog_products.name as product_name')
             ->from('#__huge_it_catalog_reviews, #__huge_it_catalog_products')
         ->where('#__huge_it_catalog_reviews.product_id = #__huge_it_catalog_products.id');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    } 
    
    public  function getCommentById() {
        $db = JFactory::getDBO();
       $id = JRequest::getVar('projectId'); 
       $query = $db->getQuery(true);
        $query->select('*,#__huge_it_catalog_reviews.id as comId, #__huge_it_catalog_reviews.name as author_name, #__huge_it_catalog_products.name as product_name')
             ->from('#__huge_it_catalog_reviews, #__huge_it_catalog_products')
         ->where('#__huge_it_catalog_reviews.product_id = #__huge_it_catalog_products.id and #__huge_it_catalog_products.id = "'.$id.'"');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    
     public function updateAsSpam($cid) {
        $db = JFactory::getDBO();
        foreach ($cid as $cidId) {
            $query = $db->getQuery(true);
            $query->update('#__huge_it_catalog_reviews');
            $query->set('spam = 1');
            $query->where('id = "'.$cidId.'"');
            $db->setQuery($query);
            $db->execute();
        }
    } 
    
     public function updateAsNoneSpam($cid) {
        $db = JFactory::getDBO();
        foreach ($cid as $cidId) {
            $query = $db->getQuery(true);
            $query->update('#__huge_it_catalog_reviews');
            $query->set('spam = 0');
            $query->where('id = "'.$cidId.'"');
            $db->setQuery($query);
            $db->execute();
            
        }
    }
     public function deleteSubmission($cid) {
        $db = JFactory::getDBO();
        foreach ($cid as $cidId) {
            $query = $db->getQuery(true);
            $query = "Delete  from  #__huge_it_catalog_reviews where id = ".$cidId."";
            $db->setQuery($query);
            $db->execute();
        }
    }

}
