<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;
jimport('joomla.application.component.modeladmin');
jimport('joomla.application.component.helper');

class CatalogModelGeneral extends JModelAdmin {

    public function getTable($type = 'General', $prefix = 'CatalogTable', $config = array()) {
        return JTable::getInstance($type, $prefix, $config);
    }

    public function getForm($data = array(), $loadData = true) {
        $form = $this->loadForm(
                $this->option . '.general', 'general', array('control' => 'jform', 'load_data' => $loadData)
        );

        if (empty($form)) {
            return false;
        }

        return $form;
    }

    protected function loadFormData() {
        $data = JFactory::getApplication()->getUserState($this->option . '.editgeneral.data', array());

        if (empty($data)) {
            $data = $this->getItem();
        }

        return $data;
    }

    function getGeneralOption() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__huge_it_catalog_general_params');
        $db->setQuery($query);
        $results = $db->loadAssocList();
        
        return $results;
    }
    function save($data) {

        $data = JRequest::get('post');
        $ht_single_product_price_text = $data['ht_single_product_price_text'];
        $ht_single_product_share_text= $data['ht_single_product_share_text'];
        $ht_single_product_rating_text = $data['ht_single_product_rating_text'];
        $ht_single_product_parameters_text = $data['ht_single_product_parameters_text'];
        $ht_single_product_comments_text = $data['ht_single_product_comments_text'];
        $ht_single_product_your_name_text = $data['ht_single_product_your_name_text'];
        $ht_single_product_your_Comment_text = $data['ht_single_product_your_Comment_text'];
        $ht_single_product_captcha_text = $data['ht_single_product_captcha_text'];
        $ht_single_product_invalid_captcha_text = $data['ht_single_product_invalid_captcha_text'];
        $ht_single_product_asc_to_seller_text = $data['ht_single_product_asc_to_seller_text'];
        $ht_single_product_your_mail_text = $data['ht_single_product_your_mail_text'];
        $ht_single_product_invalid_mail_text = $data['ht_single_product_invalid_mail_text'];
        $ht_single_product_your_phone_text = $data['ht_single_product_your_phone_text'];
        $ht_single_product_your_message_text = $data['ht_single_product_your_message_text'];
        $ht_catalog_general_linkbutton_text = $data['ht_catalog_general_linkbutton_text'];
        $ht_single_product_asc_seller_button_text = $data['ht_single_product_asc_seller_button_text'];
        $ht_single_product_comments_submit_button_text= $data['ht_single_product_comments_submit_button_text'];
        $ht_single_product_asc_seller_popup_button_text= $data['ht_single_product_asc_seller_popup_button_text'];
       
        $ht_catalog_general_message_to_admin = $data['ht_catalog_general_message_to_admin'];
        $ht_catalog_general_admin_email = $data['ht_catalog_general_admin_email'];
        $ht_catalog_general_admin_from_text = $data['ht_catalog_general_admin_from_text'];
        $newValueAdmin= $data['ht_catalog_general_admin_email_message'];
        $ht_catalog_general_user_subject = $data['ht_catalog_general_user_subject'];     
        $ht_single_product_show_asc_seller_button = $data['ht_single_product_show_asc_seller_button'];
        $ht_catalog_general_admin_email_subject = $data['ht_catalog_general_admin_email_subject'];
        $ht_catalog_general_admin_email_message= $data['ht_catalog_general_admin_email_message'];
        $ht_catalog_general_user_message= $data['ht_catalog_general_user_message'];
       
        
        echo $ht_catalog_general_admin_email_message."=".$ht_catalog_general_user_message;
        $pattern = "/^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$/";
        
        $data = JRequest::get('post');
        $db = JFactory::getDbo();

        $query = $db->getQuery(true);
        $query->select('id, name');
        $query->from('#__huge_it_catalog_general_params');
        $db->setQuery($query);
                
        $results = $db->loadAssocList();
        foreach ($results as $results_) {
                $id = $results_['id'];
                $name = $results_['name'];
                $query = $db->getQuery(true);
           if (preg_match($pattern, $ht_catalog_general_admin_email) ) { echo "kuku";
                if(preg_match($pattern, $ht_catalog_general_admin_from_text) ) {
                    $query->update('#__huge_it_catalog_general_params')->set('value="' . $data[$name] . '"')->where('id=' . $id);
                    $db->setQuery($query);
                    $db->execute();
                } 
           }
        }
    }
}