<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;
jimport('joomla.application.component.modeladmin');
jimport('joomla.application.component.helper');

class CatalogModelProductsoptions extends JModelAdmin {
    public function getTable($type = 'General', $prefix = 'CatalogTable', $config = array()) {
        return JTable::getInstance($type, $prefix, $config);
    }
    public function getForm($data = array(), $loadData = true) {
        $form = $this->loadForm(
                $this->option . '.productsoptions', 'productsoptions', array('control' => 'jform', 'load_data' => $loadData)
        );

        if (empty($form)) {
            return false;
        }

        return $form;
    }

    protected function loadFormData() {
        $data = JFactory::getApplication()->getUserState($this->option . '.editproductsoptions.data', array());
        if (empty($data)) {
            $data = $this->getItem();
        }
        return $data;
    }

    
    function getGeneralOption() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__huge_it_catalog_product_params');
        $db->setQuery($query);
        $results = $db->loadAssocList();
        return $results;
    }
    function save($data) {

        
    
}
}