<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;
jimport('joomla.application.component.modeladmin');
jimport('joomla.application.component.helper');

class CatalogModelRating extends JModelAdmin {

    public function getTable($type = 'Rating', $prefix = 'CatalogTable', $config = array()) {
        return JTable::getInstance($type, $prefix, $config);
    }

    public function getForm($data = array(), $loadData = true) {
        $form = $this->loadForm(
                $this->option . '.rating', 'rating', array('control' => 'jform', 'load_data' => $loadData)
        );

        if (empty($form)) {
            return false;
        }
        return $form;
    }

    protected function loadFormData() {
        $data = JFactory::getApplication()->getUserState($this->option . '.editrating.data', array());
        if (empty($data)) {
            $data = $this->getItem();
        }

        return $data;
    }
    public function getCatalog() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__huge_it_catalog_rating');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    public function getPropertie() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*,#__huge_it_catalog_rating.id as ratId,#__huge_it_catalog_products.id as  message_id')
             ->from('#__huge_it_catalog_rating, #__huge_it_catalog_products')
         ->where('#__huge_it_catalog_rating.prod_id = #__huge_it_catalog_products.id');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    } 
    
    public  function getRatingById() {
        $db = JFactory::getDBO();
       $id = JRequest::getVar('projectId'); 
       $query = $db->getQuery(true);
        $query->select('*,#__huge_it_catalog_rating.id as ratId')
             ->from('#__huge_it_catalog_rating, #__huge_it_catalog_products')
         ->where('#__huge_it_catalog_rating.prod_id = #__huge_it_catalog_products.id and #__huge_it_catalog_products.id = "'.$id.'"');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
       
    }

}
