<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

class CatalogViewCatalogs extends JViewLegacy
{
	
	protected $items;
	protected $pagination;
        protected $catalog;
        protected $other;
	public function display($tpl = null) {
            try	{
		
            $this->items = $this->get('Items');
            $this ->catalog = $this->get('Catalog');
            $this->other=$this->get('Other');
            $this->pagination = $this->get('Pagination');
            $this->addToolBar();
                parent::display($tpl);
            }
            catch (Exception $e) {
                throw new Exception($e->getMessage());
            }
	}

        protected function addToolBar()	{
            JToolBarHelper::title(JText::_('COM_CATALOGS'));
            JToolBarHelper::addNew('catalogs.add');
            JToolBarHelper::divider();
            JToolBarHelper::editList('catalogs.edit');
            JToolBarHelper::divider();
            JToolBarHelper::deleteList('', 'catalogs.delete');
	}
}
