<?php
/**
 * @package  Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;
jimport('joomla.application.component.view');
class CatalogViewSubmissions extends JViewLegacy
{
	protected $item;
        protected $form;
        protected  $prop;
        protected  $messageById;


        public function display($tpl = null) {
            try {     
                $this->form = $this->get('Form');
                $this->item = $this->get('Item');
                $this->prop= $this->get('Submissions');
                $this -> messageById = $this-> get('Message');
                $this->addToolBar();
                parent::display($tpl);
            }
            catch (Exception $e) {
                throw new Exception($e->getMessage());
            }
	}

	protected function addToolBar() {
            JFactory::getApplication()->input->set('hidemainmenu', false);
            $isNew = ($this->item->id == 0);
            JToolBarHelper::title(JText::_('COM_SUBMISSIONS'));
            JToolBarHelper::custom('submissions.spamTask', 'spam', 'spam spam', 'Mark As Spam', false, false);
            JToolBarHelper::custom('submissions.removeSpam', 'removespam', 'removespam removespam', 'Delete From Spam', false, false);
            JToolBarHelper::custom('submissions.deleteSubmision', 'deletesubmision', 'deletesubmision deletesubmision', 'Delete', false, false);
            JToolBarHelper::cancel('submissions.cancel', $isNew ? 'JTOOLBAR_CANCEL' : 'JTOOLBAR_CLOSE');
	}
}
