<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;

jimport('joomla.application.component.modelitem');

class CatalogModelCatalog extends JModelItem
{
	public function getTable($type = 'Catalog', $prefix = 'CatalogTable', $config = array())
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	
	public function getItem($id = null)
	{
		
		$id = (!empty($id)) ? $id : (int) $this->getState('message.id');

		if ($this->_item === null)
		{
			$this->_item = array();
		}

		if (!isset($this->_item[$id]))
		{
			
			$table = $this->getTable();

			
			$table->load($id);

			$this->_item[$id] = $table->name;
		}

		return $this->_item[$id];
	}

        protected function populateState()
	{
		$app = JFactory::getApplication();

		$id = $app->input->getInt('id', 0);

		$this->setState('message.id', $id);

		parent::populateState();
	}
        
        public function getCatalogs(){
       $db = JFactory::getDBO();
       $id = (!empty($id)) ? $id : (int) $this->getState('message.id');
       $id = $this->setState('message.id', $id);
       $query = $db->getQuery(true);
       $query->SELECT('*');
       $query-> FROM ('#__huge_it_catalogs');
       $query-> where('id='.$id);
       $query->order('ordering ASC',$id);
       $db->setQuery($query);
       $results = $db->loadObjectList();
       echo  $results;
        }

           
        public function getCatalogId(){
        $db = JFactory::getDBO();
        $id = (!empty($id)) ? $id : (int) $this->getState('message.id');
        $id = $this->setState('message.id', $id);
        return $id;
        }
          
          public function  getimageParams(){
           $db = JFactory::getDBO();
           $query = $db->getQuery(true);
           $query ->select('*');
           $query -> from('#__huge_it_catalog_params');
           $db->setQuery($query);
           $results = $db->loadObjectList();
            return $results;
          }
     
}