<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;
JHtml::_('behavior.tooltip');
jimport('joomla.form.formfield');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.modal');
?>

<style>
 #help{
	//background-color: #FFF;
	//border-radius: 4px;
	//padding: 40px;
	margin: 0 auto;
	//max-width: 600px;
	position: relative;
	//margin: 0 auto 100px;
}
   .help-tip{
	position: absolute;
	top: 1px;
        left: -33px;
	text-align: center;
	background-color: #FFF;
	border-radius: 50%;
	width: 24px;
	height: 24px;
	font-size: 14px;
	line-height: 26px;
	cursor: default;
}

.help-tip:before{
	content:'?';
	font-weight: normal;
	color:#000;
}

.help-tip:hover p{
	display:block;
	transform-origin: 100% 0%;

	-webkit-animation: fadeIn 0.3s ease-in-out;
	animation: fadeIn 0.3s ease-in-out;

}

.help-tip p{
	    display: none;
    text-align: left;
    background-color: #FFF;
    padding: 5px;
    width: 222px;
    /* top: 13px; */
    position: absolute;
    border-radius: 3px;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
    right: -4px;
    color: #000;
    margin-top: 5px;
    font-size: 13px;
    line-height: 1.4;
}

.help-tip p:before{
	position: absolute;
	content: '';
	width:0;
	height: 0;
	border:6px solid transparent;
	border-bottom-color:#1E2021;
	right:10px;
	top:-12px;
}

.help-tip p:after{
	width:100%;
	height:40px;
	content:'';
	position: absolute;
	top:-40px;
	left:0;
}
                    

    
</style>
<script>

jQuery(document).ready(function () {
	var strliID=jQuery(location).attr('hash');
	//alert(strliID);
	jQuery('#catalog-view-tabs li').removeClass('active');
	if(jQuery('#catalog-view-tabs li a[href="'+strliID+'"]').length>0){
		jQuery('#catalog-view-tabs li a[href="'+strliID+'"]').parent().addClass('active');
	}else {
		jQuery('#catalog-view-tabs li a[href="#catalog-view-options-0"]').parent().addClass('active');
	}
        
	jQuery('#catalog-view-tabs-contents li').removeClass('active');
	strliID=strliID;
	//alert(strliID);
	if(jQuery(strliID).length>0){
		jQuery(strliID).addClass('active');
	}else {
		jQuery('#catalog-view-options-0').addClass('active');
	}
	jQuery('input[data-slider="true"]').bind("slider:changed", function (event, data) {
		 jQuery(this).parent().find('span').html(parseInt(data.value)+"%");
		 jQuery(this).val(parseInt(data.value));
	});	
});
</script>
<?php
class JFormFieldJSColor extends JFormField {
    protected $type = 'jscolor';
    public function getInput() {

        $type_ = $this->element['type_'];
        $type_edit= $this->element['type_edit'];
        $doc = JFactory::getDocument();
        $doc->addScript("http://code.jquery.com/ui/1.10.4/jquery-ui.js");
        $doc->addScript(JURI::root(true) . "/media/com_catalog/js/admin.js");
        $doc->addScript(JURI::root(true) . "/media/com_catalog/elements/jscolor/jscolor.js");
        $doc->addScript(JURI::root(true) . "/media/com_catalog/js/simple-slider.js");
        JHtml::stylesheet('media/com_catalog/style/simple-slider.css');
        JHtml::stylesheet('media/com_catalog/style/admin.style.css');
        
        ?>

<?php
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select('id, name, value');
        $query->from('#__huge_it_catalog_params');
        $query->where('name="' . $this->element['name'] . '"');
        $db->setQuery($query);
        $results = $db->loadAssocList();
        
        $query1 = $db->getQuery(true);
        $query1->select('*');
        $query1->from('#__huge_it_catalog_params');
        $db->setQuery($query1);
        $results2 = $db->loadAssocList();
        
        
        $class = $this->element['class'] ? ' class="' . (string) $this->element['class'] . '"' : '';
        
        
        
        if ($type_ == "text") {
            return '<input  class = "text" type="text" name="' . $this->name . '" id="' . $this->id . '" value= "'.$results[0]['value'] . '"  class="inputClass"/>';
        }
         if ($type_ == "textColor") {
               if($this->description != '') {
               return '<div id="help">
                        <div class="help-tip">
                        <p>' . $this->description . '</p>
                        </div>  
                        <input  class="color" class = "text" type="text" name="' . $this->name . '" id="' . $this->id . '" value= "'.$results[0]['value'] . '"  class="inputClass"/> </div>';
           } else {
            return '<input  class="color" class = "text" type="text" name="' . $this->name . '" id="' . $this->id . '" value= "'.$results[0]['value'] . '"  class="inputClass"/>';
           }
        }elseif ($type_ == "checkbox") {
            $on = "on";
            $off = "off";
            $checked = $results[0]['value']== 'on' ? 'checked' : '';
            
              if($this->description != '') {
                return  '<div id="help">
                        <div class="help-tip">
                        <p>' . $this->description . '</p>
                        </div>  
                        <input onclick = "this.value = (this.checked ? \''.$on.'\': \''.$off.'\')" type="checkbox" name="' . $this->name . '" id="' . $this->id . '" value= "'.($checked == 'checked' ? $on : $off  ). '" ' .  $class . $checked . '/> </div>';
                } else {
                return '<input onclick = "this.value = (this.checked ? \''.$on.'\': \''.$off.'\')" type="checkbox" name="' . $this->name . '" id="' . $this->id . '" value= "'.($checked == 'checked' ? $on : $off  ). '" ' .  $class . $checked . '/>';
        }
            
        } elseif ($type_== "ht_view0_thumbs_position") {
            return '<select  class="textSelect" name="' . $this->name . '" id="' . $this->id . '"><option value="before" '.($results[0]['value'] =="before" ? "selected" : "" ).'>Before Description</option>
                    <option value="after" '.($results[0]['value'] =="after" ? "selected" : "" ).'>After Description</option></select>';
       } elseif($type_ == "ht_view0_togglebutton_style" || $type_ == "ht_view2_zoombutton_style" || $type_=="ht_view2_popup_closebutton_style" || $type_=="ht_view5_icons_style"){
           return '<select  class="textSelect" name="' . $this->name . '" id="' . $this->id . '"><option value="light" '.($results[0]['value'] =="light" ? "selected" : "" ).'>Light</option>
                    <option value="dark" '.($results[0]['value'] =="dark" ? "selected" : "" ).'>Dark</option></select>';
     
       }elseif($type_ == "ht_catalog_view0_price_font_color"){
           return '<select  class="textSelect" name="' . $this->name . '" id="' . $this->id . '">'
                   . '<option value="left" '.($results[0]['value'] =="left" ? "selected" : "" ).'>Left</option>
                    <option value="center" '.($results[0]['value'] =="center" ? "selected" : "" ).'>Center</option>'
                   .'<option value="right" '.($results[0]['value'] =="right" ? "selected" : "" ).'>Right</option></select>';
     
       }elseif($type_ == "ht_view1_thumbs_position" || $type_=="ht_view2_thumbs_position"){
           return '<select  class="textSelect" name="' . $this->name . '" id="' . $this->id . '"><option value="before" '.($results[0]['value'] =="before" ? "selected" : "" ).'>Before Description</option>
                    <option value="after" '.($results[0]['value'] =="after" ? "selected" : "" ).'>After Description</option></select>';
}elseif($type_ == "htc_view1_pagination_position" || $type_ == 'htc_view0_load_more_position'|| $type_ == "htc_view1_load_more_position" || $type_ == "htc_view2_pagination_position" || $type_=="htc_view2_load_more_position" || $type_=="htc_view3_pagination_position" || $type_== "htc_view3_load_more_position"){
           return '<select  class="textSelect" name="' . $this->name . '" id="' . $this->id . '">'
                   . '<option value="left" '.($results[0]['value'] =="left" ? "selected" : "" ).'>Left</option>
                    <option value="center" '.($results[0]['value'] =="center" ? "selected" : "" ).'>Center</option>'
                   .'<option value="right" '.($results[0]['value'] =="right" ? "selected" : "" ).'>Right</option></select>';
     
       }elseif ($type_ == "number") {
           if($this->description != '') {
               return '<div id="help">
                        <div class="help-tip">
                        <p>' . $this->description . '</p>
                        </div>  
                        <input  style="width:100px" type="number"  id ="' . $this->id . '" name="' . $this->name . '" value="' . $results[0]['value'] . '" ' . $class . ' /><span style = " font-size: 14px;margin-left:5px">px</span> </div>';
           } else {
           return '<input  style="width:100px" type="number"  id ="' . $this->id . '" name="' . $this->name . '" value="' . $results[0]['value'] . '" ' . $class . ' /><span style = " font-size: 14px;margin-left:5px">px</span>';}
        } elseif ($type_ == "radio") {
            $options = array(
                JHtml::_('select.option', '1', '1'),
                JHtml::_('select.option', '2', '2'),
                JHtml::_('select.option', '3', '3'),
                JHtml::_('select.option', '4', '4'),
                JHtml::_('select.option', '5', '5'),
                JHtml::_('select.option', '6', '6'),
                JHtml::_('select.option', '7', '7'),
                JHtml::_('select.option', '8', '8'),
                JHtml::_('select.option', '9', '9')
            );
            
            $checked = 'checked';
            $html = '<div style="float: left;">
			<table>
				<tbody>
				  <tr>
					<td style="width:25px"><input type="radio" value="1" id="slideshow_title_top-left" name="' . $this->name . '" ' . ($results[0]['value'] == 1 ? $checked : '') . ' </td>
					<td style="width:25px"><input type="radio" value="2" id="slideshow_title_top-center" name="' . $this->name . '" ' . ($results[0]['value'] == 2 ? $checked : '') . ' /></td>
					<td style="width:25px"><input type="radio" value="3" id="slideshow_title_top-right" name="' . $this->name . '" ' . ($results[0]['value'] == 3 ? $checked : '') . '  /></td>
				  </tr>
				  <tr>
					<td style="width:25px"><input type="radio" value="4" id="slideshow_title_middle-left" name="' . $this->name . '" ' . ($results[0]['value'] == 4 ? $checked : '') . '/> </td>
					<td style="width:25px"><input type="radio" value="5" id="slideshow_title_middle-center" name="' . $this->name . '" ' . ($results[0]['value'] == 5 ? $checked : '') . ' /></td>
					<td style="width:25px"><input type="radio" value="6" id="slideshow_title_middle-right" name="' . $this->name . '"  ' . ($results[0]['value'] == 6 ? $checked : '') . '/></td>
				  </tr>
				  <tr>
					<td style="width:25px"><input type="radio" value="7" id="slideshow_title_bottom-left" name="' . $this->name . '" ' . ($results[0]['value'] == 7 ? $checked : '') . ' /></td>
					<td style="width:25px"><input type="radio" value="8" id="slideshow_title_bottom-center" name="' . $this->name . '" ' . ($results[0]['value'] == 8 ? $checked : '') . ' /></td>
					<td style="width:25px"><input type="radio" value="9" id="slideshow_title_bottom-right" name="' . $this->name . '" ' . ($results[0]['value'] == 9 ? $checked : '') . '/></td>
				  </tr>
				</tbody>	
			</table>
		 </div>';

            return $html;
        }
        else if($type_ == "htc_view0_load_more_loading_icon"  ||  $type_ == "htc_view1_load_more_loading_icon" || $type_ == "htc_view2_load_more_loading_icon" || $type_=="htc_view3_load_more_loading_icon") {
            
            
            $path_site = JURI::root().'media/com_catalog/images';
            $myjquery = "jQuery(this).parent().find('li').removeClass('active');jQuery(this).parent().find('li').removeClass('activee');jQuery(this).addClass('active')";
            $checked = 'checked';
                return '<ul id="arrows-type" style="background: #fff;width: 50%; padding-top: 12px;">'
                . '<li onclick = "'.$myjquery.'"  '.($results[0]['value'] == 1 ? "class=active" : "" ).'>'
                        . '<div  class="image-block" style="width: 135px;height: 135px;">'
                        . '<img src="'.$path_site.'/load_more_icon_1.gif" alt="" />'
                        . '</div>'
                        . '<input type="radio"  value= "1" name="'.$this->name.'" ' . ($results[0]['value'] == 1 ? $checked : '') . ' style="width: 135px;height: 135px;" >'
                . '</li>'
                     
                . '<li onclick = "'.$myjquery.'"  '.($results[0]['value'] == 2 ? "class=active" : "" ).'>'
                        . '<div  class="image-block" style="width: 135px;height: 135px;">'
                        . '<img src="'.$path_site.'/load_more_icon_2.gif" alt="" />'
                        . '</div>'
                        . '<input type="radio"   value= "2" name="'.$this->name.'" ' . ($results[0]['value'] == 2 ? $checked : '') . ' style="width: 135px;height: 135px;" >'
                . '</li>'
                . '<li onclick = "'.$myjquery.'"  '.($results[0]['value'] == 3 ? "class=active" : "" ).'>'
                   . '<div  class="image-block" style="width: 135px;height: 135px;">'
                   . '<img src="'.$path_site.'/load_more_icon_3.gif" alt="" />'
                   . '</div>'
                   . '<input type="radio"  value= "3" name="'.$this->name.'" ' . ($results[0]['value'] == 3 ? $checked : '') . ' style="width: 135px;height: 135px;" >'
                . '</li>'
                . '<li onclick = "'.$myjquery.'"  '.($results[0]['value'] == 4 ? "class=active" : "" ).'>'
                    . '<div  class="image-block" style="width: 135px;height: 135px;">'
                    . '<img src="'.$path_site.'/load_more_icon_4.gif" alt="" />'
                    . '</div>'
                    . '<input type="radio"   value= "4" name="'.$this->name.'" ' . ($results[0]['value'] == 4 ? $checked : '') . ' style="width: 135px;height: 135px;" >'
                . '</li>'
                . '</ul>';
        } elseif ($type_ == "light_box_opacity_text" || $type_ == "ht_catalog_zoom_tint_opacity"  || $type_ == 'ht_catalog_zoom_lens_opacity') {
     if($this->description != '') {
               return '<div id="help">
                        <div class="help-tip">
                        <p>' . $this->description . '</p>
                        </div>  
                        <div style="float: left;" class="slider-container">
                    <input value= "' . $results[0]['value'] . '"  name="' . $this->name . '"  id="light_box_opacity" data-slider-highlight="true"  data-slider-values="0,10,20,30,40,50,60,70,80,90,100" type="text" data-slider="true" style="display: none;"/>
                    <span class="box">' .$results[0]['value'] . ' %</span></div></div>';
           //} else {
        return '<div style="float: left;" class="slider-container">'
                    . '<input value= "' . $results[0]['value'] . '"  name="' . $this->name . '"  id="light_box_opacity" data-slider-highlight="true"  data-slider-values="0,10,20,30,40,50,60,70,80,90,100" type="text" data-slider="true" style="display: none;"/>'
                    . '<span class="box">' .$results[0]['value'] . ' %</span></div>';           }
          
        }
       elseif ($type_ == "ht_catalog_zoom_window_type" ) {
        return'<div id="help">
        <div class="help-tip">
                <p>' . $this->description . '</p>
        </div>
        <select name="' . $this->name . '" id="' . $this->id . '" class="textSelect"> 
            <option value="window" '.($results[0]['value'] =="window" ? "selected" : "" ).'>Window</option>
            <option value="lens" '.($results[0]['value'] =="lens" ? "selected" : "" ).'>Lens</option>
            <option value="inner" '.($results[0]['value'] =="inner" ? "selected" : "" ).'>Inner</option>
        </select>
        </div>';
        } else if($type_ == "ht_catalog_zoom_window_position") {
             return '<div id="help">
                <div class="help-tip"><p>'. $this->description . '</p></div>
                    
                <select name="' . $this->name . '" id="' . $this->id . '" class="textSelect">
                    <option value="16" '.($results[0]['value'] =="16" ? "selected" : "" ).'>Right-Top</option>
                    <option value="4" '.($results[0]['value'] =="4" ? "selected" : "" ).'>Right-Bottom</option>
                    <option value="12" '.($results[0]['value'] =="12" ? "selected" : "" ).'>Left-Top</option>
                    <option value="8" '.($results[0]['value'] =="8" ? "selected" : "" ).'>Left-Bottom</option>
                </select>
                    </div>';
        }else if($type_ == 'ht_catalog_zoom_lens_shape') {
             return '<div id="help">
                <div class="help-tip"><p>'. $this->description . '</p></div>
                <select name="' . $this->name . '" id="' . $this->id . '" class="textSelect">
                    <option value="square" '.($results[0]['value'] =="square" ? "selected" : "" ).'>Square</option>
                    <option value="round" '.($results[0]['value'] =="round" ? "selected" : "" ).'>Round</option>
                </select>
                    </div>';
        }else if($type_ == 'ht_catalog_zoom_cursor') {
             return '<div id="help">
                <div class="help-tip"><p>'. $this->description . '</p></div>
                <select name="' . $this->name . '" id="' . $this->id . '" class="textSelect">
                    <option value="default" '.($results[0]['value'] =="default" ? "selected" : "" ).'>Default</option>
                    <option value="crosshair" '.($results[0]['value'] =="crosshair" ? "selected" : "" ).'>Crosshair</option>
                    <option value="none" '.($results[0]['value'] =="none" ? "selected" : "" ).'>None</option>
                </select>
                </div>';
        }elseif($type_ == 'light_box_style') {
            return  '<select name="' . $this->name . '" id="' . $this->id . '" class="textSelect"> 
                        <option value="1" '.($results[0]['value'] =="1" ? "selected" : "" ).'>1</option>
                        <option value="2" '.($results[0]['value'] =="2" ? "selected" : "" ).'>2</option>
                        <option value="3" '.($results[0]['value'] =="3" ? "selected" : "" ).'>3</option>
                        <option value="4" '.($results[0]['value'] =="4" ? "selected" : "" ).'>4</option>
                        <option value="5" '.($results[0]['value'] =="5" ? "selected" : "" ).'>5</option>
                    </select>';
        }elseif($type_ == 'light_box_transition') {
            return  '<select name="' . $this->name . '" id="' . $this->id . '" class="textSelect"> 
                        <option value="elastic" '.($results[0]['value'] =="elastic" ? "selected" : "" ).'>Elastic</option>
                        <option value="fade" '.($results[0]['value'] =="fade" ? "selected" : "" ).'>Fade</option>
                        <option value="none" '.($results[0]['value'] =="none" ? "selected" : "" ).'>None</option>
                    </select>';  
             }
             elseif($type_ == 'light_box_transition') {
            return  '<select name="' . $this->name . '" id="' . $this->id . '" class="textSelect"> 
                        <option value="elastic" '.($results[0]['value'] =="elastic" ? "selected" : "" ).'>Elastic</option>
                        <option value="fade" '.($results[0]['value'] =="fade" ? "selected" : "" ).'>Ffade</option>
                        <option value="none" '.($results[0]['value'] =="none" ? "selected" : "" ).'>None</option>
                    </select>';  
             }
}}  
